[gelöst] Besucher-Graph nach update auf 1.5


#1

Hallo Zusammen,

ich habe heute das Update auf 1.5 eingespielt. Allrdings zeigen bei mir die neuen Canvas-Graps die Werte nicht korrekt an. (Siehe Anhang).

Statt drei Werte in der Y-Achse (Maximum, mittel und 0) existieren nur 2 (Max. und irgendwas mittiges) und niedrige Zahlen werden abgeschnitten.

Bin für jeden Lösungsvorschlag dankbar.

Grüße
Andreas


#2

Hallo,

ja, bei mir tritt der gleiche Fehler auf. Die Grafiken werden unten abgeschnitten.

Gruß,
Moritz


#3

Moin,

leider betrifft es alle Graphen, sie werden alle unten abgeschnitten :frowning:

Irgendwie werde ich das Gefühl nicht los, dass diese Version noch unausgereift ist. Bislang konnte ich alle vorherigen updates problemlos einspielen, nur mit der 1.5er gab’s plötzlich Fehlermeldungen haufenweise…

Gruss,
Andreas


(Thomas Seifert) #4

Hmm, passiert bei mir hier nicht.
Welcher Browser kommt bei Euch zum Einsatz? Vielleicht ist es ein HTML5 Problem in manchen Browsern?

Fehlermeldungen gibt es leider bei allen Versionen immer wieder - ganz einfach weil die Plattformen bei den Benutzern alle extrem unterschiedlich sind. Ich z.B. habe noch bei keiner Version ein wirkliches Problem gehabt, lief alles tadellos.


#5

Hi,

der Fehler tritt im Firefox4 genau so auf wie im neusten Chrome, außerdem wird die Demo-Site richtig angezeigt. Es liegt meiner Meinung nach eher in der Generierung des HTML-Codes. Das div- welches die Bezeichnungen der y-Achse enthält (class=“jqplot-axis jqplot-yaxis” ) enthält nur zwei canvas-Elemente. Auf der Demo-Site sind es drei.

Grüße
Andi


(Thomas Seifert) #6

Hat zwar etwas von “Rechner neustarten, wenn irgendwas nicht geht” aber schau mal ob es hilft, die Dateien im tmp-Ordner von Piwik zu löschen. Ansonsten sollte es auf jeden Fall als Bug unter http://dev.piwik.org/trac reported werden - auf die schnelle habe ich das in der Art dort noch nicht gefunden.
Welche PHP-Version ist es bei Dir?


#7

tmp zu leeren hat leider nichts genützt.
PHP Version ist 5.1.6


(Thomas Seifert) #8

Hmm, vielleicht liegt’s daran. Aktuell ist 5.3.x und ich nutze hier 5.2.17.
Hast Du die Möglichkeit für ein Upgrade? Ich kann hier leider nicht downgraden, um es zu reproduzieren.


#9

Nach dem Update auf PHP 5.2 hat es tatsächlich funktioniert.
Vielen Dank, Thomas.

Ich finde es nur komisch, dass das Problem dann doch nur so selten auftritt.
PHP 5.1 ist ja schon noch in ein paar Standart-Repos vertreten.


#10

Ist für mich leider keine Option :frowning:

Werde wohl wieder auf 1.4 downgraden müssen. Schade.


#11

Hallo,

ich hatte auch die PHP Version 5.1.6. Habe ein Upgrade auf 5.3.6 durchgeführt und jetzt sieht es schon besser aus. Zwar wird der obere Punkt noch etwas abgeschnitten (siehe Screenshot) - aber damit kann ich leben.


(Thomas Seifert) #12

ich habe es mal gemeldet unter Charts - charts cropped at bottom (PHP 5.1.x) · Issue #2504 · matomo-org/matomo · GitHub


#13

[quote=“Thomas Seifert”]
ich habe es mal gemeldet unter http://dev.piwik.org/trac/ticket/2504[/quote]

Danke Thomas


#14

[quote=“Thomas Seifert”]
ich habe es mal gemeldet unter http://dev.piwik.org/trac/ticket/2504[/quote]

Vielen Dank nochmal, nach anbringen der patches werden die Graphen jetzt korrekt angezeigt.